#$Id: evas.spec,v 1.2 2003/04/22 22:49:54 dude Exp $

%define pre  _pre5
%define date 20030417

Summary: A canvas abstraction that uses Imlib2.
Name: evas
Version: 1.0.0
Release: fr%{?date:0%{?pre}.%{date}.}2
License: BSD
Group: System Environment/Libraries
Source: http://prdownloads.sourceforge.net/enlightenment/%{name}-%{version}%{?pre}.tar.gz
URL: http://www.enlightenment.org/pages/evas.html
BuildRoot: %{_tmppath}/%{name}-root
Requires: freetype >= 2.0, libpng, libjpeg
Requires: imlib2, edb, eet
BuildRequires: freetype-devel >= 2.0, libpng-devel, libjpeg-devel
BuildRequires: imlib2-devel, edb-devel, eet-devel

%description
Evas is a hardware-accelerated canvas API for X-Windows that can draw
anti-aliased text, smooth super and sub-sampled images, alpha-blend, as
well as drop down to using normal X11 primitives such as pixmaps, lines
and rectangles for speed if your CPU or graphics hardware are too slow.


%package devel
Summary: Header and development libraries for the Evas canvas abstraction.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: imlib2-devel, pkgconfig

%description devel
Evas is a hardware-accelerated canvas API for X-Windows that can draw
anti-aliased text, smooth super and sub-sampled images, alpha-blend, as
well as drop down to using normal X11 primitives such as pixmaps, lines
and rectangles for speed if your CPU or graphics hardware are too slow.

Header, static libraries and documentation for Evas.


%prep
%setup -q -n %{name}-%{version}%{?pre}

%build
%configure \
--enable-software-x11 \
--enable-image-loader-png \
--enable-image-loader-jpeg \
--enable-image-loader-eet \
--enable-image-loader-edb \
--enable-cpu-c \
%if 0
# Disable for now as otherwise e segfaults
--enable-cpu-mmx \
--enable-cpu-sse \
%endif
--enable-scale-smooth \
--enable-scale-sample \
--enable-convert-8-rgb-332 \
--enable-convert-8-rgb-666 \
--enable-convert-8-rgb-232 \
--enable-convert-8-rgb-222 \
--enable-convert-8-rgb-221 \
--enable-convert-8-rgb-121 \
--enable-convert-8-rgb-111 \
--enable-convert-16-rgb-565 \
--enable-convert-16-rgb-555 \
--enable-convert-16-rgb-rot-0 \
--enable-convert-32-rgb-8888 \
--enable-convert-32-rgbx-8888 \
--enable-convert-32-bgr-8888 \
--enable-convert-32-bgrx-8888 \
--enable-convert-32-rgb-rot-0

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS README COPYING ChangeLog
%{_bindir}/%{name}_*
%{_libdir}/*.so.*
%{_datadir}/%{name}

%files devel
%defattr(-, root, root)
%{_bindir}/%{name}-config
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Apr 17 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Package today's CVS 1.0.0_pre5 snapshot.

